"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DEFAULT_CONFIG = exports.readMySqlConfigSync = exports.getMySqlConfigSync = exports.getMySqlConfig = void 0;
const cosmiconfig_1 = require("cosmiconfig");
const MySqlConfig_1 = require("./MySqlConfig");
const asyncExplorer = (0, cosmiconfig_1.cosmiconfig)('mysql');
const syncExplorer = (0, cosmiconfig_1.cosmiconfigSync)('mysql');
async function getMySqlConfig(searchFrom) {
    return parseResult(await asyncExplorer.search(searchFrom));
}
exports.getMySqlConfig = getMySqlConfig;
function getMySqlConfigSync(searchFrom) {
    return parseResult(syncExplorer.search(searchFrom));
}
exports.getMySqlConfigSync = getMySqlConfigSync;
function readMySqlConfigSync(filename) {
    return parseResult(syncExplorer.load(filename));
}
exports.readMySqlConfigSync = readMySqlConfigSync;
function parseResult(result) {
    return MySqlConfig_1.MySqlConfigSchema.parse(result ? result.config : {});
}
exports.DEFAULT_CONFIG = MySqlConfig_1.MySqlConfigSchema.parse({});
//# sourceMappingURL=index.js.map